Message key '(Filepage|Common|Handheld|Print|Monobook).css' does not appear to be a full key
Closed, ResolvedPublic

Description

2013-03-27 10:21:49 mw1171 commonswiki: [4063a65f] /w/index.php?title=MediaWiki:Filepage.css&action=raw&maxage=2678400&usemsgcache=yes&ctype=text%2Fcss&smaxage=2678400 Exception from line 637 of /usr/local/apache/common-local/php-1.21wmf12/includes/cache/MessageCache.php: Message key 'Filepage.css' does not appear to be a full key.
#0 /usr/local/apache/common-local/php-1.21wmf12/includes/actions/RawAction.php(140): MessageCache->get('Filepage.css', true, true, true)
#1 /usr/local/apache/common-local/php-1.21wmf12/includes/actions/RawAction.php(101): RawAction->getRawText()
#2 /usr/local/apache/common-local/php-1.21wmf12/includes/Action.php(542): RawAction->onView()
#3 /usr/local/apache/common-local/php-1.21wmf12/includes/Wiki.php(439): FormlessAction->show()
#4 /usr/local/apache/common-local/php-1.21wmf12/includes/Wiki.php(305): MediaWiki->performAction(Object(Article), Object(Title))
#5 /usr/local/apache/common-local/php-1.21wmf12/includes/Wiki.php(565): MediaWiki->performRequest()
#6 /usr/local/apache/common-local/php-1.21wmf12/includes/Wiki.php(458): MediaWiki->main()
#7 /usr/local/apache/common-local/php-1.21wmf12/index.php(59): MediaWiki->run()
#8 /usr/local/apache/common-local/w/index.php(3): require('/usr/local/apac...')
#9 {main}

2013-03-27 18:43:47 mw1066 eswiki: [3bb04644] /w/index.php?title=MediaWiki:Common.css&usemsgcache=yes&ctype=text/css&smaxage=2678400&action=raw&maxage=2678400 Exception from line 637 of /usr/local/apache/common-local/php-1.21wmf12/includes/cache/MessageCache.php: Message key 'Common.css' does not appear to be a full key.
#0 /usr/local/apache/common-local/php-1.21wmf12/includes/actions/RawAction.php(140): MessageCache->get('Common.css', true, true, true)
#1 /usr/local/apache/common-local/php-1.21wmf12/includes/actions/RawAction.php(101): RawAction->getRawText()
#2 /usr/local/apache/common-local/php-1.21wmf12/includes/Action.php(542): RawAction->onView()
#3 /usr/local/apache/common-local/php-1.21wmf12/includes/Wiki.php(439): FormlessAction->show()
#4 /usr/local/apache/common-local/php-1.21wmf12/includes/Wiki.php(305): MediaWiki->performAction(Object(Article), Object(Title))
#5 /usr/local/apache/common-local/php-1.21wmf12/includes/Wiki.php(565): MediaWiki->performRequest()
#6 /usr/local/apache/common-local/php-1.21wmf12/includes/Wiki.php(458): MediaWiki->main()
#7 /usr/local/apache/common-local/php-1.21wmf12/index.php(59): MediaWiki->run()
#8 /usr/local/apache/common-local/w/index.php(3): require('/usr/local/apac...')
#9 {main}


Version: 1.21.x
Severity: major

Details

Reference
bz46612
bzimport raised the priority of this task from to High.
bzimport set Reference to bz46612.
bzimport added a subscriber: Unknown Object (MLST).
Reedy created this task.Mar 27 2013, 6:48 PM
Reedy added a comment.Mar 28 2013, 5:16 AM

84 Exception from line 637 of /usr/local/apache/common-local/php-1.21wmf12/includes/cache/MessageCache.php: Message key 'Filepage.css' does not appear to be a full key.
2 Exception from line 637 of /usr/local/apache/common-local/php-1.21wmf12/includes/cache/MessageCache.php: Message key 'Handheld.css' does not appear to be a full key.
2 Exception from line 637 of /usr/local/apache/common-local/php-1.21wmf12/includes/cache/MessageCache.php: Message key 'Common.css' does not appear to be a full key.
1 Exception from line 637 of /usr/local/apache/common-local/php-1.21wmf12/includes/cache/MessageCache.php: Message key 'Print.css' does not appear to be a full key.
1 Exception from line 637 of /usr/local/apache/common-local/php-1.21wmf12/includes/cache/MessageCache.php: Message key 'Monobook.css' does not appear to be a full key.

(In reply to comment #0)

2013-03-27 10:21:49 mw1171 commonswiki: [4063a65f]
/w/index.php?title=MediaWiki:Filepage.
css&action=raw&maxage=2678400&usemsgcache=yes&ctype=text%2Fcss&smaxage=267840
0

URL works when dropping &usemsgcache=yes or &action=raw .

lcarr wrote:

FYI this is a huge % of the 5xx's at WMF at the moment.

ori added a comment.Mar 28 2013, 8:56 PM

I think the error in the call to MessageCache::singleton()->get() dates back to a year to commit d1abcf7e, but that it was finally exposed by Gerrit change Iaaf6ccebd.

ori added a comment.Mar 28 2013, 9:05 PM

(In reply to comment #5)

I think the error in the call to MessageCache::singleton()->get() dates back
to
a year to commit d1abcf7e, but that it was finally exposed by Gerrit change
Iaaf6ccebd.

Sorry, to be more specific: the bug goes back to Iceb1243ae, which set $isFullKey to true but dropped the call to wfMessage( $key )->inContentLanguage();

mwalker wrote:

I have some concerns about the patch; I suspect there was a reason we request this with a fully qualified key -- if we don't and it is it becomes very expensive to lookup.

Is it instead possible to change the skin request to be qualified? Or can we guarantee that all calls to that function will be non qualified?

Katie is going to be deploying the revert to Iaaf6ccebd shortly; so we have some more time to fix this.

mwalker wrote:

(In reply to comment #8)

So the example given in comment 0 works for me again, likely because of Katie
reverting Iaaf6ccebd?

Yep :) But we'll be pushing it again just as soon as we fix the language cache bug so this isn't going to go away any time soon.

(In reply to comment #9 by Matt Walker)

But we'll be pushing it again just as soon as we fix the language cache
bug so this isn't going to go away any time soon.

Matt: Is there a specific bug ID to follow for the "language cache bug"?

mwalker wrote:

Uh; good question. I don't know if Nikerabbit ever filed one -- I don't see it in bugzilla as a quick search. I'll send an email and ask.

Niklas Laxström wrote:

I haven't file a bug report. It was working as expected until we tried
to make a difference.

https://gerrit.wikimedia.org/r/56519 (Gerrit Change I9729b55eb4ffe8f577eb0dc2073c4923b4be595d) | change ABANDONED [by Ori.livneh]

(In reply to comment #9 by Matt Walker)

But we'll be pushing it again just as soon as we fix the language
cache bug so this isn't going to go away any time soon.

I'd really love to see "the language cache bug" (if still existing) filed somewhere by somebody who understand the internals, and made block this bug report. Also because this is blocking bug 46579 (which I haven't seen myself yet though).

Niklas / Matt, maybe?

(In reply to Matt Walker from comment #7)

Katie is going to be deploying the revert to Iaaf6ccebd shortly; so we have
some more time to fix this.

Matt / Niklas:
Has any progress been made here to provide a fix and then to revert the revert?

We haven't done anything as far as I know, but Tyler has been working on a patch at https://gerrit.wikimedia.org/r/#/c/72867/ - I haven't checked if it addresses this bug as well.

Aklapper lowered the priority of this task from High to Normal.Mar 25 2015, 3:55 PM
Krinkle closed this task as Resolved.Apr 10 2015, 5:52 PM
Krinkle claimed this task.
Krinkle added a subscriber: Krinkle.

This exception was removed from the software in rMW9d7e9c314159: Revert changes in fallback behavior, released in MediaWiki 1.22.